package com.example.aitest.controller;

import com.example.aitest.pojo.User;
import com.example.aitest.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.security.NoSuchAlgorithmException;

@RestController
public class UserController {

    @Autowired
    public UserService userService;
    @PostMapping("/login")
    public String login(@RequestBody User user) throws NoSuchAlgorithmException {
        return userService.login(user);
    }

    @PostMapping("/register")
    public String register(@RequestBody User user) throws NoSuchAlgorithmException {
        return userService.register(user);
    }

}
